<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가

@include_once($info_skin_path.'/set/set.load.php');

$set = amina_set_info($amina['info_set']);

$is_info = true;
$is_rolling = false;

if($set['info_page'] && $page > 1) $is_info = false;

if($set['info_list'] && $wr_id) $is_info = false;

if($is_info) {

	if($set['info_msg1'] || $set['info_msg2'] || $set['info_msg3']) $is_rolling = true;

	//상단(롤링)부분
	$info_msg = '';
	if($set['info_msg1']) $info_msg .= '<li>'.$set['info_msg1'].'</li>'."\n";

	if($set['info_msg2']) $info_msg .= '<li>'.$set['info_msg2'].'</li>'."\n";

	if($set['info_msg3']) $info_msg .= '<li>'.$set['info_msg3'].'</li>'."\n";

	$info_msg .= '<li>본 게시판의 회원등급별 권한 및 포인트 적립은 다음과 같습니다.</li>'."\n";

	//이용안내
	if($amina['limit_post_cnt'] > 0) {
		$info_msg .= '<li> 본 게시판은 <b>회원당 ';
		if($amina['limit_post'] == 1) $info_msg .= '하루 ';
		$info_msg .= '최대 '.$amina['limit_post_cnt'].'개</b>의 글만 등록할 수 있습니다.';
		$info_msg .= '</li>'."\n";
	}

	$info_msg .= '<li>글읽기는 <b>'.$xp['grade'][$board['bo_read_level']].'('.$board['bo_read_point'].'점)</b>부터, 글쓰기는 <b>'.$xp['grade'][$board['bo_write_level']].'('.$board['bo_write_point'].'점)</b>부터, 글답변은 <b>'.$xp['grade'][$board['bo_reply_level']].'('.$board['bo_comment_point'].'점)</b>부터 가능</li>'."\n";
	$info_msg .= '<li>댓글은 <b>'.$xp['grade'][$board['bo_comment_level']].'('.$board['bo_comment_point'].'점)</b>부터, 다운로드는 <b>'.$xp['grade'][$board['bo_download_level']].'('.$board['bo_download_point'].'점)</b>부터 가능</li>'."\n";
	$info_msg .= '<li>그 외 업로드는 <b>'.$xp['grade'][$board['bo_upload_level']].'</b>, 링크는 <b>'.$xp['grade'][$board['bo_link_level']].'</b>, HTML은 <b>'.$xp['grade'][$board['bo_html_level']].'</b>부터 가능</li>'."\n";

	if($board['bo_use_good'] || $board['bo_use_nogood']) {
		if($amina['good_point'] > 0 || $amina['good_repoint'] > 0) {
			$info_msg .= '<li>';
			if($amina['good_point'] > 0) $info_msg .= '추천 또는 비추천시 <b>'.$amina['good_point'].'점</b> 적립';
			if($amina['good_point'] > 0 && $amina['good_repoint'] > 0) $info_msg .= ' / ';
			if($amina['good_repoint'] > 0) $info_msg .= '추천 또는 비추천 받으면 <b>'.$amina['good_repoint'].'점</b> 적립';
			$info_msg .= '</li>'."\n";
		}
	}

	if($amina['star'] > 1) {
		if($amina['star_point'] > 0 || $amina['star_repoint'] > 0) {
			$info_msg .= '<li>';
			if($amina['star_point'] > 0) $info_msg .= '별점을 주면 <b>'.$amina['star_point'].'점</b> 적립';
			if($amina['star_point'] > 0 && $amina['star_repoint'] > 0) $info_msg .= ' / ';
			if($amina['star_repoint'] > 0) $info_msg .= '별점을 받으면 <b>'.$amina['star_repoint'].'점</b> 적립';
			$info_msg .= '</li>'."\n";
		}
	}

	if($amina['cmt_good']) {
		if($amina['cmt_good_point'] > 0 || $amina['cmt_good_repoint'] > 0) {
			$info_msg .= '<li>';
			if($amina['cmt_good_point'] > 0) $info_msg .= '댓글 '.$amina['cmt_good_txt'].'시 <b>'.$amina['cmt_good_point'].'점</b> 적립';
			if($amina['cmt_good_point'] > 0 && $amina['cmt_good_repoint'] > 0) $info_msg .= ' / ';
			if($amina['cmt_good_repoint'] > 0) $info_msg .= '댓글 '.$amina['cmt_good_txt'].'을 받으면 <b>'.$amina['cmt_good_repoint'].'점</b> 적립';
			$info_msg .= '</li>'."\n";
		}

		if($amina['cmt_best'] > 0) $info_msg .= '<li>댓글의 '.$amina['cmt_good_txt'].'수가 <b>'.$amina['cmt_best'].'개</b> 이상이면 <b>베스트 댓글(베플)</b>로 선정</li>'."\n";
	}

	if($board['bo_hot'] > 0) $info_msg .= '<li>조회수가 <b>'.$board['bo_hot'].'</b> 이상이면 <b>HOT</b> 선정</li>'."\n";

	if($board['bo_new'] > 0) $info_msg .= '<li><b>'.$board['bo_new'].'시간</b> 이내 등록된 글은 <b>새글</b> 표시</li>'."\n";

	if($amina['limit_cmt']) $info_msg .= '<li>자신의 글에 쓴 자신의 댓글 또는 별점에는 포인트가 적립안됨</li>'."\n";

	if($amina['limit_date'] > 0) $info_msg .= '<li><b>'.$amina['limit_date'].'일</b>이 지난 글에 쓴 댓글/추천/공감/별점은 포인트가 적립안됨</li>'."\n";

	if($amina['shingo'] > 0) $info_msg .= '<li>신고 횟수가 <b>'.$amina['shingo'].'회</b>가 넘으면 자동으로 블라인드 처리됨</li>'."\n";

	if($board['bo_count_modify'] > 0 || $board['bo_count_delete'] > 0) {
		$info_msg .= '<li>';
		if($board['bo_count_modify'] > 0) $info_msg .= '댓글이 <b>'.$board['bo_count_modify'].'개</b> 이상 달리면 원글 수정 불가';
		if($board['bo_count_modify'] > 0 && $board['bo_count_delete'] > 0) $info_msg .= ' / ';
		if($board['bo_count_delete'] > 0) $info_msg .= '댓글이 <b>'.$board['bo_count_delete'].'개</b> 이상 달리면 원글 삭제 불가';
		$info_msg .= '</li>'."\n";
	}
?>

	<link rel="stylesheet" href="<?php echo $info_skin_url.'/'.$amina['info_css']; ?>.css">
	<?php include_once(AMINA_PATH.'/ticker.php'); 
		$set['info_speed'] = $set['info_speed'] ? $set['info_speed'] : 700;
		$set['info_pause'] = $set['info_pause'] ? $set['info_pause'] : 2000;
		$set['info_down'] = $set['info_down'] ? '' : 'up';
		$set['info_show'] = ($set['info_show'] > 1) ? $set['info_show'] : 1;
	?>
	<script type="text/javascript">
		$(function(){
			$('#infobox_ticker').Vnewsticker({
				speed: <?php echo $set['info_speed']; ?>,
				pause: <?php echo $set['info_pause']; ?>,
				mousePause: true,
				showItems: <?php echo $set['info_show']; ?>,
				direction : "<?php echo $set['info_down']; ?>"
			});
		});
	</script>
	<div class="infobox" onclick="amina_show('info_list');">
		<div id="infobox_ticker" class="infobox-rolling" style="height:<?php echo 22 * (int)$set['info_show']; ?>px;">
			<ul>
				<?php echo $info_msg; ?>
			</ul>
		</div>
		<div id="info_list" class="infobox-details" style="display:none;">
			<ul>
				<?php echo $info_msg; ?>
			</ul>
		</div>
	</div>
<? } ?>